Status: Resolved Start date: 06/25/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: rsb-0.7
Description

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "build/bdist.macosx-10.7-intel/egg/rsb/__init__.py", line 1428, 
in createInformer
  File "build/bdist.macosx-10.7-intel/egg/rsb/__init__.py", line 1180, 
in __init__
  File "build/bdist.macosx-10.7-intel/egg/rsb/__init__.py", line 1111, 
in getConnector
ValueError: Multiple transports are not supported, yet (config has 2 
transports, config is 
ParticipantConfig[[ParticipantConfig.Transport[spread, enabled = 
False,  converters = ConverterMap(wireType = <type 'bytearray'>):
     utf-8-string <-> <type 'str'>
     uint64 <-> <class 'numbers.Integral'>
     void <-> <type 'NoneType'>, options = {'port': '4910'}], 
ParticipantConfig.Transport[socket, enabled = True, converters = 
ConverterMap(wireType = <type 'bytearray'>):
     utf-8-string <-> <type 'str'>
     uint64 <-> <class 'numbers.Integral'>
     void <-> <type 'NoneType'>, options = {}], 
ParticipantConfig.Transport[inprocess, enabled = True, converters = 
ConverterMap(wireType = <type 'bytearray'>):
     utf-8-string <-> <type 'str'>
     uint64 <-> <class 'numbers.Integral'>
     void <-> <type 'NoneType'>, options = {}]] {}])

RSB Config was:

[transport.inprocess]
enabled = 1

[transport.socket]
enabled = 1

Related issues:
Related to Robotics Service Bus - Feature # 1012: Change default configuratio... Resolved 06/20/2012

Associated revisions
Revision 580b8654 - 06/27/2012 02:52 PM - J. Moringen
Handle multiple transports in rsb/__init__.py
fixes #1032
    -  rsb/__init__.py: renamed Participant.get{Connector -> Connectors};

  retrieve multiple transports from ParticipantConfig in
  Participant.getConnectors; pass all transports to  {In,Out}RouteConfigurator in {Listener,Informer} constructor

History
#1 - 06/27/2012 02:24 PM - J. Moringen
- Subject changed from RSB Python error if multiple transports are enabled to Error if multiple transports are enabled
- Status changed from New to In Progress
- Assignee changed from J. Wienke to J. Moringen
- % Done changed from 0 to 50

#2 - 06/27/2012 02:56 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset r3666.
